Get branch
GET
{{server}}/api/v1/dispenser/branchThis request return the branch entity by the device.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Apikey {{dispenserApikey}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/dispenser/branch' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'
const response = await fetch("{{server}}/api/v1/dispenser/branch", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/dispenser/branch"
headers = {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/dispenser/branchHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1235 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"type": 3,
"key": "00000000-0000-4000-0003-000000000001",
"name": "Default",
"shortName": "DEFAULT",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"timeZone": "Europe/Budapest",
"features": {
"appointment": false,
"waitingArea": false,
"waitingAreaPremium": false,
"voiceRecording": false,
"smartTicket": false,
"feedback": false,
"customerName": false
},
"address": {
"country": "Magyarország",
"zip": "1112",
"city": "Budapest",
"street": "Péterhegyi út",
"number": "51/b",
"latitude": 47.448782,
"longitude": 19.01472
},
"languages": [
"00000000-0000-4000-0004-000000000001"
],
"services": [
"00000000-0000-4000-0007-000000000001",
"00000000-0000-4000-0007-000000000002",
"00000000-0000-4000-0007-000000000003",
"00000000-0000-4000-0007-000000000004",
"00000000-0000-4000-0007-000000000005",
"00000000-0000-4000-0007-000000000006"
],
"dispenserProfiles": [
"00000000-0000-4000-0008-000000000001"
],
"feedbackProfiles": [
"00000000-0000-4000-0016-000000000001"
],
"openingHours": [
{
"profile": "1",
"day": 1,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 2,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 3,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 4,
"start": "0000",
"end": "2400"
},
{
"profile": "1",
"day": 5,
"start": "0000",
"end": "2400"
}
],
"status": 1,
"aspect": null,
"time": 1746604935452
}